function [timeseries] = motionTestRight( N, voltage)

if ~exist('N', 'var')
    N = 10;
end
if ~exist('voltage', 'var')
    voltage = -1.4;
end
    
dutyCycle = 0.30;
timeout = 5;

[dio, ao, ai] = resetFlipper;

if(checkPosition(dio) ~= 1)
    fprintf(1, 'Initializing and Moving left\n'); 
    moveLeft(dio, ao, ai, 10);
end

timeseries = zeros(N,size(voltage));
for vv = 1:length(voltage)
 for ii = 1:N
    fprintf(1, 'Trying %d... Starting from %d. ', ii, checkPosition(dio));
    tStart = tic;
    putsample(ao, voltage(vv));
    while checkPosition(dio) ~=-1 && toc(tStart) < timeout
        pause(0.01);
    end
    timeseries(ii,vv) = toc(tStart);
    pause(0.1);
    putsample(ao,0);
    fprintf(1, 'Took %0.2f seconds.  Moving left.', timeseries(ii));
    [v,dur] = moveLeft(dio,ao,ai);

    fprintf(1, ' Cooling down.\n');
    pause((timeseries(ii,vv)+dur)*(1/dutyCycle-1));
    
    plot( timeseries, '*');
 end
end
