function [data] = resistanceTest(duration, voltage);
% function [t, resistance] = resistanceTest
delay = 0.1;
volt_to_current = 1.15;

[dio, ao, ai] = resetFlipper;
stop(ai);
rate = 1000;
set(ai, 'SampleRate', rate);
set(ai, 'SamplesPerTrigger', rate*(duration+delay));
start(ai);
pause(delay);
putsample(ao, voltage);
for ii = 1:duration
    fprintf(1, 'Time remaining: %i\n', duration - ii);
    pause(1);
end

putsample(ao, 0);

x = getdata(ai);
data.vMon = x(:,1);
data.iMon = x(:,2)*volt_to_current;
data.t = [1:length(x)]/rate;
