function solveODE

tC = [-5:1e-3:10];
current = 5*heaviside(tC);

TSpan = [0 3];
angle_offset = 40/180*pi;
start_angle = 45/180*pi;

InitCond = [-start_angle, 0];

[T,Y] =   ode23( @(t,y) myFun(t,y, tC, current, angle_offset), TSpan, InitCond);
[TT,YY] = ode23( @(t,y) myFun(t,y, tC, current, -angle_offset), TSpan, InitCond);


plot(T,Y(:,1)*180/pi, TT, YY(:,1)*180/pi);
legend('left', 'right');

end


function dydt = myFun(t, y, tc, C, angle_offset)

k = 100;
gamma = 1*k;
drag = 0;

myC = interp1(tc, C, t);

theta = y(1);
omega = y(2);


dtheta_dt = omega;
domega_dt = sin( y(1) - angle_offset) + myC -drag*omega;


if theta > 45/180*pi
    domega_dt = domega_dt - k*theta - gamma*omega;
end

dydt = [dtheta_dt; domega_dt];

end
