function [timeseries] = motionTestLeft( N, voltage)


if ~exist('N', 'var')
    N = 10;
end
if ~exist('voltage', 'var')
    voltage = 1.6;
end

dutyCycle = 0.30;
timeout = 5;

[dio, ao, ai] = resetFlipper;

if(checkPosition(dio) ~= -1)
    fprintf(1, 'Initializing and Moving right\n'); 
    moveRight(dio, ao, ai);
end

timeseries = zeros(N,1);
for vv = 1:length(voltage)
  for ii = 1:N
    fprintf(1, 'Trying %d...', ii);
    tStart = tic;
    putsample(ao, voltage(vv));
    while checkPosition(dio) ~= 1 && toc(tStart) < timeout
        pause(0.01);
    end
    timeseries(ii,vv) = toc(tStart);
    pause(0.1);
    putsample(ao,0);
    fprintf(1, 'Took %.2f seconds.  Moving right.', timeseries(ii));
    [v,dur] = moveRight(dio,ao,ai);

    fprintf(1, ' Cooling down.\n');
    pause((timeseries(ii,vv)+dur)*(1/dutyCycle-1));
    
    plot(timeseries, '*');
  end
end

